Subject: Re: known working sata_sil24.c setup on powerpc platforms?

From: Jeff Garzik <[email-masked]>
Date: Wed, 06 Apr 2011 14:12:47 -0400

On 04/06/2011 01:48 PM, Moffett, Kyle D wrote:
> On Apr 06, 2011, at 13:00, Leon Woestenberg wrote:
>> after investigating problems with sata_sil24.c on a freescale p2020
>> soc, I wonder if this driver works on powerpc at all?
>>
>> Does anyone know of a working setup of sata_sil24 on a big endian
>> powerpc system?
>
> Our P2020 boards work fine with legacy PCI interrupts (I think it's a sil3124 over PCI-E); the only deficiency is that MSI does not seem to work.
>
> I know our MSI *does* work in general because we have an Intel 82571EB chipset also attached via PCI-E with working MSI.

We've definitely had issues with sata_sil24 + MSI, also...

sata_sil24 does work on big endian in general.

	Jeff